/************************************************************************/
/*                                                                      */
/*  Licensed Materials - Property of IBM                                */
/*  WA84 SupportPac                                                     */
/*  (c) Copyright IBM Corp. 2001                                        */
/*  US Government Users Restricted Rights - Use, duplication or         */
/*  disclosure restricted by GSA ADP Schedule Contract                  */
/*  with IBM Corp.                                                      */
/*                                                                      */
/************************************************************************/
package com.ibm.workflow.servlet.clientx.wext;

import com.ibm.workflow.servlet.client.*;

/**
* This is queryPageChange event listener interface.
*/
public interface PageChangeEventListener {
    /**
    * Invoked when a response page just before change.
    * @param context    a RequestContext object
    * @param controller a PageController session bean object
    * @return           a ResponsePage object
    * @exception ClientException if an error occurred
    */
    ResponsePage queryPageChange(RequestContext context, PageController controller, PostedValues values) throws ClientException;
}
