/************************************************************************/
/*                                                                      */
/*  Licensed Materials - Property of IBM                                */
/*  WA84 SupportPac                                                     */
/*  (c) Copyright IBM Corp. 2001                                        */
/*  US Government Users Restricted Rights - Use, duplication or         */
/*  disclosure restricted by GSA ADP Schedule Contract                  */
/*  with IBM Corp.                                                      */
/*                                                                      */
/************************************************************************/
package com.ibm.workflow.servlet.clientx.wext;

import javax.servlet.http.*;
import com.ibm.workflow.servlet.client.*;

/**
* This class povides a User-Exit framework.
*/
public class PageEventHandler extends WExtCommandHandler {
    /**
    * Returns information about the handler.
    * @return   a String containing handler information
    */
    public String getHandlerInfo() {
        return "MQWF WebClient Extentions V1.0 - PageEventHandler";
    }

    /**
    * Initializes the handler.
    * @param config     the servlet's configuration and initialization parameters
    */
    public void init(Config cfg) {
        super.init(cfg);
        getContext().log("init PageEventHandler", false);
    }

    /**
    * This is a hooking method for queryCheckInWorkItem and postCheckInWorkItem events.
    * @param request        the request the client has made of the servlet
    * @param response       the response the servlet sends to the client
    * @return               the result page to be sent to the client
    */
    public ResponsePage checkInWorkItem(HttpServletRequest request,
                                HttpServletResponse response) throws ClientException {
        return checkInOrCompleteWorkItem(request, response, false);
    }

    /**
    * This is a hooking method for postCancelWorkItem event.
    * @param request        the request the client has made of the servlet
    * @param response       the response the servlet sends to the client
    * @return               the result page to be sent to the client
    */
    public ResponsePage cancelWorkItem(HttpServletRequest request,
                                HttpServletResponse response) throws ClientException {
        return cancelOrRetrieveDraftWorkItem(request, response, false);
    }
}

